// @TITLE "boolean.cc: boolean classes"
//
// "boolean" classes
//    This file includes all the files, after defining some macros
// to refer to "boolean" elements, collections, vectors, and matrices.
//
// David Kotz 1994

// $Id: boolean.cc,v 1.9 95/12/17 00:07:42 dfk release Locker: dfk $

#include "dapple.h"		// declare all the types

#define Element boolean
#define Collection booleanCollection
#define Vector booleanVector
#define Matrix booleanMatrix
#define Slice booleanSlice
#define HalfSlice booleanHalfSlice
#define BOOLEAN_ELEMENTS

#include "Collection.cc"
#include "Vector.cc"
#include "Slice.cc"
#include "Matrix.cc"
