// @TITLE "double.cc: double-precision classes"
//
// "double" classes
//    This file includes all the files, after defining some macros
// to refer to "double" elements, collections, vectors, and matrices.
//
// David Kotz 1994

// $Id: double.cc,v 1.8 95/12/17 00:07:46 dfk release Locker: dfk $

#include "dapple.h"		// declare all the types

#define Element double
#define Collection doubleCollection
#define Vector doubleVector
#define Matrix doubleMatrix
#define Slice doubleSlice
#define HalfSlice doubleHalfSlice
#define DOUBLE_ELEMENTS

#include "Collection.cc"
#include "Vector.cc"
#include "Slice.cc"
#include "Matrix.cc"
